Jailbreaking Ipod Touch 2G

Discussion in 'iPhone, iPod & iPad' started by TheCruiser, Jul 15, 2010.

Jul 15, 2010

Jailbreaking Ipod Touch 2G by TheCruiser at 7:17 PM (2,954 Views / 0 Likes) 33 replies

  1. TheCruiser
    OP

    Newcomer TheCruiser Member

    Joined:
    May 16, 2008
    Messages:
    39
    Country:
    Canada
    Alright so I got my Ipod Touch the other day and well someone accidently updated my device to 4.0. My model is 2G and it has the MC in the model number. I have no idea of what to jailbreak it with. I tried following some guides but it stated that I need to have 3.1.2 or 3.1.3. However I can't seem to downgrade them generating errors with number 28 (at 3.1.2) and 3194 (3.1.3). Any advice?
     


  2. connor_walsh

    Member connor_walsh GBAtemp Regular

    Joined:
    Sep 13, 2009
    Messages:
    163
    Country:
    United Kingdom
    You can't jailbreak it YET there are people that are working on a jailbreak for iphone 3GS/4 and ipod touch 2g mc/3g
     
  3. TheCruiser
    OP

    Newcomer TheCruiser Member

    Joined:
    May 16, 2008
    Messages:
    39
    Country:
    Canada
    Oh yeah my model was the 8GB model. So even if it was at 3.1.3 or w/e version, it still wouldn't be jailbreakable? I think the one I was waiting was called "Limerain", correct?
     
  4. iFish

    Member iFish Slower than a 90s modem

    Joined:
    Jul 11, 2009
    Messages:
    4,222
    Location:
    Montreal, QC
    Country:
    Canada
    You have an MC model so. I recommend sn0wbreeze. Along side iBooty. It will be tethered. So ever time you turn off you have to re-jailbreak.

    Guys. Shut up if you don't know what you're talking about.
    Go to www.ih8sn0w.com and download sn0wbreeze. And it will tell you the rest. If you need help. You can find me or other team mates on irc at. irc.ih8sn0w.com
     
  5. iFish

    Member iFish Slower than a 90s modem

    Joined:
    Jul 11, 2009
    Messages:
    4,222
    Location:
    Montreal, QC
    Country:
    Canada
    Oh! I forgot. To use the sn0wbreeze you have to downgrade to 3.1.2. As you said you cannot. O guess your outta luck.
     
  6. gameguy95

    Banned gameguy95 Needs More Furries!

    Joined:
    Jan 27, 2009
    Messages:
    1,119
    Location:
    Furrytown
    Country:
    United States
    ^dang you. these people should wait until it works on everything BEFORE they release it the sons of b*****es
     
  7. IchigoK2031

    Member IchigoK2031 Wannabe Shirow Miwa...

    Joined:
    Jul 1, 2008
    Messages:
    691
    Location:
    My Tablet
    Country:
    United States
    I'm pretty sure, there's a redsn0w beta its like 9.5 or something like that or 0.95, that lets you jailbreak 4.0, but only on ipod touches and older iPhones...
     
  8. tijntje_7

    Member tijntje_7 GBAtemp Advanced Fan

    Joined:
    Jul 26, 2008
    Messages:
    538
    Location:
    Under your bed
    Country:
    Netherlands
    I also own an iPod touch 8gb 2g MC model.
    4.0 firmware on the 2g MC model is unjailbreakable.
    Except when you had it jailbreaked on 3.1.2/3.1.3 and saved your SHSH blobs.
    I don't think you did, if you did, you know what I'm talking about, and you'll need to use sn0wbreeze to jailbreak it.
    Downgrading is currently impossible, except when you've got the SHSH blobs saved [​IMG]

    Sooo,
    jailbreakable = yes if saved SHSH blobs
    jailbreakable = no if you didn't

    Don't ask me what SHSH blobs are, I have no idea (although I think it has something to do with the sign Apple gives to firmwares.)
    If you don't know if you got your SHSH blobs saved. Then I'm sure you haven't.

    I hope this helped.

    (By the way, have you ever used a program called TinyUmbrella?)
     
  9. metamaster

    Member metamaster GBAtemp Advanced Fan

    Joined:
    Mar 7, 2010
    Messages:
    876
    Country:
    Canada
    Limera1n isn't going to be released. Its developer, Geohot, dropped out of the hacking scene. You have to wait for a jailbreak to be released. And once it is, back up your shsh blobs (look it up) so you can downgrade later on and don't update your ipod touch to the latest firmware if a jailbreak for said firmware isn't available.
     
  10. sputnix

    Member sputnix GBAtemp Fan

    Joined:
    Jul 9, 2009
    Messages:
    369
    Country:
    Bangladesh
    if you want to jailbreak first you'll have to do a manual restore [google it]
    then download 3.1.2 [or 3.1.3 I don't know if people have jail broken it yet] make sure the firmware is for ipod touch 2g otherwise you'll brick your ipod
    then use blackra1n and in a matter of minutes
     
  11. tijntje_7

    Member tijntje_7 GBAtemp Advanced Fan

    Joined:
    Jul 26, 2008
    Messages:
    538
    Location:
    Under your bed
    Country:
    Netherlands
    ^ On a sidenote, the site still exists though :/

    But really when you're gonna update your iPod to a newer firmware, use TinyUmbrella to save your SHSH blobs.

    Then you'll be jailbreaking proof for the future [​IMG]
    I'll explain:
    Apple, doesn't like people who jailbreak. Even though it's legal.
    Apple has now made a new way to make it almost impossible to downgrade.
    How?
    By signing their firmware.
    Example:
    You're on 4.0 fw, a newer fw comes out, 4.1, you update.
    In a few days, apples sign for 4.0 will be outdated (People at apple will do that, it's not a limited time or something)
    You realise you can't jb on 4.1, you want to go back.
    IMPOSSIBLE [​IMG]
    Because their sign is out of date [​IMG]
    What SHSH blobs do (not that I have the slightest idea how o.O) Is saving the old firmware, and tricking iTunes into believing that the sign is still legit.
    And thus, you can downgrade.

    So kids, save your SHSH blobs when you're about to upgrade [​IMG]
    Good luck with not having a jailbreak [​IMG]
     
  12. metamaster

    Member metamaster GBAtemp Advanced Fan

    Joined:
    Mar 7, 2010
    Messages:
    876
    Country:
    Canada
    To complete the post above: Itunes checks with apple for reference to see if a firmware is signed. When you save you SHSH blobs, they are saved on another server (saurik's server) and then you need to change a file on your computer so itunes checks with that server instead of apple's server.
     
  13. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    If you own an iPod touch 2G (MC or not), you don't need to worry about SHSH blobs.
     
  14. connor_walsh

    Member connor_walsh GBAtemp Regular

    Joined:
    Sep 13, 2009
    Messages:
    163
    Country:
    United Kingdom
    I dont think he can jailbreak it because his ipod came with 3.1.3 (hence the error 28) so he can't go down to 3.1.2 so as i said before just wait.
     
  15. JKR Firefox

    Member JKR Firefox Back.

    Joined:
    Nov 18, 2006
    Messages:
    1,130
    Location:
    Canada
    Country:
    Canada
    Try this:

    Go to here and download firmware version 3.1.2 for your 2G iPod.
    Then, go to iTunes with your iPod connected.
    Click on your iPod on the left-hand side.
    Hold shift and click on restore.
    Browse to where your 3.1.2 firmware is stored on your PC and double-click to start the installation.
    Once done, verify in your iPod settings menu that you are on 3.1.2.
    Go here and download blackra1n.
    Run blackra1n and see if it works.

    Post back here with your results.

    Edit: NVM, I was once able to do the above so if it's changed I apologize. Still worth a try I guess.
     
  16. gameguy95

    Banned gameguy95 Needs More Furries!

    Joined:
    Jan 27, 2009
    Messages:
    1,119
    Location:
    Furrytown
    Country:
    United States
    ^it does not work. apple no longer signs for 3.1.x
     
  17. Dialexio

    Member Dialexio GBAtemp Advanced Maniac

    Joined:
    Mar 14, 2009
    Messages:
    1,546
    Country:
    United States
    The iPod touch 2G only requires the SHSH blobs for iOS 4.0 and later.
     
  18. TornZero

    Member TornZero GBAtemp Regular

    Joined:
    Mar 15, 2009
    Messages:
    197
    Country:
    United States
    Like ifish said, shut up if you don't know what you're talking about. Most of you apparently do not (at least at the moment).

    I have an iPod Touch 2G MC Model myself, and I am jailbroken on 3.1.3 (through the Spirit Jailbreak by comex).

    I regrettably updated to 4.0 due to curiosity of how it performs on my iTouch.

    Thankfully, Spirit REQUIRED me to save my 3.1.3 SHSH blobs (as said before, it is how Apple prevents downgrading) to a Cydia (basically the App Store for jailbreakers if you didn't know) database so I could downgrade if I wanted to. This is where you have gone wrong. Since you were unable to save your SHSH blobs for 3.1.3 before being updated to iOS 4, you are prohibited from downgrading back to 3.1.3.

    I am now waiting for a full, untethered jailbreak for iOS 4 (since sn0wbreeze tethers the 2G MC Model/3G iTouch and the 3Gs iPhone, and requires you to be at 3.1.2 to jailbreak to iOS 4).

    Limera1n will not be released because geohot (creator of 3.1.2 jailbreak blackra1n) has quit.

    redsn0w (by the Dev Team) is incompatible at the moment with the iDevices I mentioned above.

    My only hope is the soon-to-be released Spirit Jailbreak Update for iOS 4.0.x.

    Wait just a few more days and you will be able to jailbreak your iTouch, AS LONG AS YOU DO NOT UPDATE AGAIN.

    comex is working very hard on Spirit and plans to release it for 4.0.x instead of waiting for 4.1 (which was stated in his latest updates).

    For the fastest updates for your iDevice (and the latest tech in general), subscribe to duncan33303 on YouTube.
     
  19. Phoenix Goddess

    Member Phoenix Goddess The Ninja's Protégée

    Joined:
    Apr 25, 2009
    Messages:
    3,809
    Location:
    Away from civilization.
    Country:
    United States
    There are other ways to tell someone that instead of being rude and telling them to shut up.
     
  20. iFish

    Member iFish Slower than a 90s modem

    Joined:
    Jul 11, 2009
    Messages:
    4,222
    Location:
    Montreal, QC
    Country:
    Canada
    iOS 4.1 is already jailbroken with sn0wbreeze

    Also, Sn0wbreeze V2.0 should be out eventually. it will work on all iOS.

    So... YEAH
     

Share This Page